//
//  MasterViewController.swift
//  Contacten
//
//  Created by Developer on 05-04-17.
//  Copyright © 2017 iOS Academie. All rights reserved.
//

import UIKit

class MasterViewController: UIViewController, UITableViewDataSource, DetailViewDataSource {
  @IBOutlet weak var tableView: UITableView! {
    didSet {
      tableView.dataSource = self
    }
  }
  
  var geselecteerdeRij: Int? {
    var resultaat: Int?
    if let indexPaths = tableView.indexPathsForSelectedRows, let indexPath = indexPaths.first {
      resultaat = indexPath.row
    }
    return resultaat
  }
  
  
  override func viewDidLoad() {
    super.viewDidLoad()
  }
  
  // MARK: - UITableViewDataSource
  func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
    return Model.shared.data.count
  }
  
  func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
    let cell = tableView.dequeueReusableCell(withIdentifier: "cell", for: indexPath)
    
    let naam = Model.shared.data[indexPath.row].naam
    
    cell.textLabel?.text = naam
    
    return cell
  }
  
  // MARK: - DetailViewDataSource
  
  var naam: String {
    if let rij = geselecteerdeRij {
      return Model.shared.data[rij].naam
    } else {
      return ""
    }
  }
  
  func email() -> String {
    if let rij = geselecteerdeRij {
      return Model.shared.data[rij].email
    } else {
      return ""
    }
  }
  
  func telefoon() -> String {
    return geselecteerdeRij != nil ? Model.shared.data[geselecteerdeRij!].telefoon : ""
  }
  
  // MARK: - Navigatie
  override func prepare(for segue: UIStoryboardSegue, sender: Any?) {
    if let vc = segue.destination as? DetailViewController {
      vc.dataSource = self
    }
  }
  
  
}
